Summary: GNOME Applications panel grouping applet
Name: quick-lounge-applet
Version: 2.10.1
Release: 1mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://quick-lounge.sourceforge.net/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.10.1-1mdk use new menu API
Patch0: quick-lounge-applet-2.10.0-newmenu.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: gnome-menus-devel >= 2.11.1
BuildRequires: gnome-desktop-devel
BuildRequires: perl-XML-Parser
BuildRequires: scrollkeeper
#if patched
BuildRequires: automake1.9
BuildRequires: intltool
Requires(post):		scrollkeeper >= 0.3
Requires(postun):		scrollkeeper >= 0.3

%description
The Quick Lounge applet is an applet for the GNOME Panel.
With this applet you can organize your preferred applications 
in a single place. You can add spaces between applications, they 
can be used to group together applications with similar tasks.

When the applet size exceeds the available space a menu containing the 
remaing launchers is created. The menu can be accessed pressing the arrow 
button located at the end of the applet. The menu displays spaces 
as separators.

%prep
%setup -q
%patch0 -p1 -b .newmenu

# fix build on amd64
aclocal-1.9
automake-1.9

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %{name} --with-gnome
%find_lang quick-lounge --with-gnome
cat quick-lounge.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
rm -rf %buildroot/var



%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/quick-lounge.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/quick-lounge.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/%name
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/pixmaps/*
%{_datadir}/quick-lounge
%dir %_datadir/omf/%name
%_datadir/omf/%name/quick-lounge-C.omf

%changelog
* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- replace prereq
- New release 2.10.1

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-3mdk
- fix buildrequires

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Fix build on x86-64

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk
- Release 2.10.0
- Patch0: use new menu API

* Thu Oct 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-1mdk
- update file listing
- New release 2.2.0

* Tue Aug 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- add lang to omf files
- New release 2.1.2

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-4mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-3mdk
- add dep on scrollkeeper

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-2mdk
- fix buildrequires

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- fix file list
- drop patch
- new version

* Mon Nov 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.3-1mdk
- fix installation
- new version

* Tue Nov 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- new version

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.1-1mdk
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-2mdk
- don't deinstall schemas on update

* Mon Jul  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- add schema uninstallation
- fix buildrequires
- new version

* Wed May  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.4-2mdk
- fix buildrequires, thanks to Stefan's bot

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.4-1mdk
- Release 1.1.4

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.3-2mdk
- Fix BuildRequires

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.3-1mdk
- Initial Mdk package.


